libzypp: zypp::xml::ParseDefImplConsume Struct Reference

libzypp 17.38.8

zypp::xml::ParseDefImplConsume Struct Reference
Inheritance diagram for zypp::xml::ParseDefImplConsume:

## Public Member Functions
void | start (const Node &node_r) override
void | text (const Node &node_r) override
void | cdata (const Node &node_r) override
void | done (const Node &node_r) override
void | startSubnode (const Node &node_r) override
void | doneSubnode (const Node &node_r) override
void | debuglog (const char *const tag_r, const Node &node_r)
Public Member Functions inherited from zypp::xml::ParseDefConsumeRedirect
| ParseDefConsumeRedirect ()
| ParseDefConsumeRedirect (shared_ptr< ParseDefConsume > target_r)
| ParseDefConsumeRedirect (ParseDefConsume *allocatedTarget_r)
| ParseDefConsumeRedirect (ParseDefConsume &target_r)
| ~ParseDefConsumeRedirect () override
void | setRedirect (shared_ptr< ParseDefConsume > target_r)
void | setRedirect (ParseDefConsume *allocatedTarget_r)
void | setRedirect (ParseDefConsume &target_r)
void | cancelRedirect ()
shared_ptr< ParseDefConsume > | getRedirect () const
Public Member Functions inherited from zypp::xml::ParseDefConsume
virtual | ~ParseDefConsume ()

## Detailed Description

Definition at line 42 of file ParseDef.cc.

## Member Function Documentation

## ◆ start()

void zypp::xml::ParseDefImplConsume::start | ( | const Node & | node_r | ) |
| inlineoverridevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 44 of file ParseDef.cc.

## ◆ text()

void zypp::xml::ParseDefImplConsume::text | ( | const Node & | node_r | ) |
| inlineoverridevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 50 of file ParseDef.cc.

## ◆ cdata()

void zypp::xml::ParseDefImplConsume::cdata | ( | const Node & | node_r | ) |
| inlineoverridevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 56 of file ParseDef.cc.

## ◆ done()

void zypp::xml::ParseDefImplConsume::done | ( | const Node & | node_r | ) |
| inlineoverridevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 62 of file ParseDef.cc.

## ◆ startSubnode()

void zypp::xml::ParseDefImplConsume::startSubnode | ( | const Node & | node_r | ) |
| inlineoverridevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 68 of file ParseDef.cc.

## ◆ doneSubnode()

void zypp::xml::ParseDefImplConsume::doneSubnode | ( | const Node & | node_r | ) |
| inlineoverridevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 74 of file ParseDef.cc.

## ◆ debuglog()

void zypp::xml::ParseDefImplConsume::debuglog | ( | const char *const | tag_r,
|  | const Node & | node_r )
| inline

Definition at line 80 of file ParseDef.cc.

The documentation for this struct was generated from the following file:

- zypp/parser/xml/ParseDef.cc